readclose_append(3)

NAME
readclose_append - read a whole file into a stralloc

SYNTAX
#include <readclose.h> int readclose_append(int fd,stralloc* sa,
                     unsigned int bufsize);

DESCRIPTION
readclose_append reads the whole content into the stralloc sa, appending it to the existing content. The file is read in chunks of bufsize bytes size. If everything worked fine, readclose_append returns 0. On error, readclose_append returns -1 and sets errno appropriately.

SEE ALSO
open_read(3), openreadclose(3), readclose(3)